net.corda.jackson

## Class StringToMethodCallParser.ParsedMethodCall

- net.corda.jackson.StringToMethodCallParser.ParsedMethodCall

- Enclosing class:
    StringToMethodCallParser<T>

      public class StringToMethodCallParser.ParsedMethodCall

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedMethodCall(T $outer, java.lang.reflect.Method target, java.lang.Object[] method)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call()`
    `java.lang.Object[]` | `getArgs()`
    `java.lang.reflect.Method` | `getMethod()`
    `java.lang.Object` | `invoke()`

- - ### Constructor Detail

    - #### ParsedMethodCall

          public ParsedMethodCall(T $outer,
                                  java.lang.reflect.Method target,
                                  java.lang.Object[] method)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke()

    - #### call

          public java.lang.Object call()

    - #### getMethod

          public java.lang.reflect.Method getMethod()

    - #### getArgs

          public java.lang.Object[] getArgs()